# Generated by Django 2.0 on 2018-07-26 09:46

import arkindex.project.fields
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('dataimport', '0001_initial'),
        ('documents', '0019_metadatas'),
    ]

    operations = [
        migrations.CreateModel(
            name='Repository',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('url', models.URLField(unique=True)),
                ('hook_token', models.CharField(max_length=250, unique=True)),
                ('clone_user', models.CharField(max_length=100)),
                ('clone_token', models.CharField(max_length=250)),
                ('corpus', models.ForeignKey(
                    on_delete=django.db.models.deletion.CASCADE,
                    related_name='repos',
                    to='documents.Corpus',
                )),
                ('user', models.ForeignKey(
                    on_delete=django.db.models.deletion.CASCADE,
                    related_name='repos',
                    to=settings.AUTH_USER_MODEL,
                )),
            ],
            options={
                'verbose_name_plural': 'repositories',
            },
        ),
        migrations.AlterModelOptions(
            name='datafile',
            options={'ordering': ['corpus', 'name']},
        ),
        migrations.AlterModelOptions(
            name='dataimport',
            options={'ordering': ['corpus', '-created']},
        ),
        migrations.CreateModel(
            name='Revision',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('hash', models.CharField(max_length=50)),
                ('ref', models.CharField(max_length=50)),
                ('message', models.TextField()),
                ('author', models.CharField(max_length=50)),
                ('repo', models.ForeignKey(
                    on_delete=django.db.models.deletion.CASCADE,
                    related_name='revisions',
                    to='dataimport.Repository',
                )),
            ],
        ),
        migrations.AddField(
            model_name='dataimport',
            name='revision',
            field=models.OneToOneField(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name='dataimport',
                to='dataimport.Revision',
            ),
        ),
        migrations.AlterUniqueTogether(
            name='revision',
            unique_together={('repo', 'hash')},
        ),
        migrations.AddField(
            model_name='repository',
            name='watched_branches',
            field=arkindex.project.fields.ArrayField(
                base_field=models.CharField(max_length=50),
                default=['refs/heads/master'],
                size=None,
            ),
        ),
    ]
